# $Revision: 1.13 $, $Date: 2012/02/10 07:52:01 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	LiTE is a Toolkit Engine
Summary(pl.UTF-8):	LiTE - silnik toolkitu
Name:		LiTE
Version:	0.8.10
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/downloads/Libs/%{name}-%{version}.tar.gz
# Source0-md5:	b9a28007d38c2b1c51ba1c3841df29ad
Patch0:		%{name}-stat.patch
URL:		http://www.directfb.org/index.php?path=Platform/LiTE
BuildRequires:	DirectFB-devel >= 1:1.0.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	t1utils
Requires(post,postun):	/sbin/ldconfig
Requires:	%{_fontsdir}/TTF
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LiTE is a Toolkit Engine.

%description -l pl.UTF-8
LiTE - silnik toolkitu.

%package devel
Summary:	LiTE header files
Summary(pl.UTF-8):	Pliki nagłówkowe LiTE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel >= 1:1.0.0

%description devel
Header files for LiTE library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LiTE.

%package static
Summary:	LiTE static library
Summary(pl.UTF-8):	Statyczna biblioteka LiTE
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LiTE static library.

%description static -l pl.UTF-8
Statyczna biblioteka LiTE.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--with-fontdir=%{_fontsdir}/TTF \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_fontsdir}/Type1
t1binary $RPM_BUILD_ROOT%{_fontsdir}/TTF/Misc-Fixed.pfa \
	$RPM_BUILD_ROOT%{_fontsdir}/Type1/Misc-Fixed.pfb
cat > $RPM_BUILD_ROOT%{_fontsdir}/Type1/fonts.scale.LiTE <<EOF
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-ascii-0
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-iso10646-1
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-iso8859-1
EOF
rm -f $RPM_BUILD_ROOT%{_fontsdir}/TTF/Misc-Fixed.pfa

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -x /usr/bin/fontpostinst ]; then
	fontpostinst TTF
	fontpostinst Type1
fi

%postun
/sbin/ldconfig
if [ -x /usr/bin/fontpostinst ]; then
	fontpostinst TTF
	fontpostinst Type1
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/lite_*
%attr(755,root,root) %{_libdir}/libleck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libleck.so.3
%attr(755,root,root) %{_libdir}/liblite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblite.so.3
%{_datadir}/LiTE
%{_fontsdir}/TTF/decker.ttf
%{_fontsdir}/TTF/vera*.ttf
%{_fontsdir}/TTF/whiterabbit.ttf
%{_fontsdir}/Type1/Misc-Fixed.pfb
%{_fontsdir}/Type1/fonts.scale.LiTE

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libleck.so
%attr(755,root,root) %{_libdir}/liblite.so
%{_libdir}/libleck.la
%{_libdir}/liblite.la
%{_includedir}/leck
%{_includedir}/lite
%{_pkgconfigdir}/leck.pc
%{_pkgconfigdir}/lite.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libleck.a
%{_libdir}/liblite.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: LiTE.spec,v $
Revision 1.13  2012/02/10 07:52:01  arekm
- release 3

Revision 1.12  2012/01/01 10:09:33  qboosh
- added stat patch (fixes build in current environment)
- release 2

Revision 1.11  2010/11/18 08:00:54  qboosh
- updated to 0.8.10

Revision 1.10  2008/09/03 20:46:48  qboosh
- updated to 0.8.9

Revision 1.9  2008/01/03 11:24:07  qboosh
- ghost soname symlink

Revision 1.8  2007-12-26 19:38:42  zbyniu
- up to 0.8.6

Revision 1.7  2007-09-08 06:00:29  witekfl
- added bcond_without static_libs

Revision 1.6  2007/03/11 19:31:03  qboosh
- updated to 0.8.3

Revision 1.5  2007/02/12 21:21:31  glen
- tabs in preamle

Revision 1.4  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.3  2006/05/20 15:17:34  qboosh
- updated to 0.7.2

Revision 1.2  2005/10/23 18:34:26  qboosh
- recode Misc-Fixed.pfa to .pfb, install it in Type1 dir

Revision 1.1  2005/10/23 17:47:17  qboosh
- new
